org.h2.engine

## Class Engine

- java.lang.Object
- - org.h2.engine.Engine

    public class Engine
    extends java.lang.Object

The engine contains a map of all open databases. It is also responsible for opening and creating new databases. This is a singleton class.

### Method Summary

Methods
`Session` `createSession(ConnectionInfo ci)` Open a database connection with the given connection information.
`static Engine` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static Engine getInstance()

#### createSession

    public Session createSession(ConnectionInfo ci)

Open a database connection with the given connection information.

Parameters:
  `ci` - the connection information
Returns:
  the session